Usando tema de materiais em L pré-visualização

? Niek Haarman @ | Original: StackOverFlow
---

A visualização L desenvolvedor está atualmente em nível API 20. No entanto, aparentemente os temas exigem nível API 21 .

@android:style/Theme.Material.Light.DarkActionBar Exige nível API 21

É este um erro, que eu estou fazendo algo errado, ou é possível não apenas para usar o material no L prévia ?

---

Top 5 Responder

1Niek Haarman @

Para elaborar @ comentários de panini, estou usando isso no meu build.gradle :

android {
    compileSdkVersion 'android-L'
    buildToolsVersion '20.0.0'

    defaultConfig {
        minSdkVersion 16
        targetSdkVersion 'L'
        versionName buildVersion.version
    }

/* ... */
}

Colocar o styles.xml na pasta values-v21, permite que o tema a ser executado no L Preview.